import numpy as np
from sklearn import linear_model
from sklearn import model_selection
import matplotlib.pyplot as plt

P = np.loadtxt( "datos.csv", delimiter=',' )

X = P[:,0:2]
print( "X", X.shape )

y = P[:,2]
print( "y", y.shape )

# Aquí ya tenemos nuestros datos
# # Los separamos en datos de entrenamiento y de prueba:
Xentrena, Xprueba, yentrena, yprueba = model_selection.train_test_split( X, y, random_state = 10 )

# Coefficients: 
#  [[0.1159698  0.20218359]]
# a0: 
#  [-1.2012858]

# f(x,y) = [x, y][a2] + a0 = a2 x + a1 y + a0 = 0
#                [a1]
# y = (- a2 x - a0)/a1

vx = np.linspace( 10, -2, 8 )
vy = (- 0.1159698 * vx + 1.2012858)/0.20210359

fig, axis = plt.subplots()
axis.scatter( X[:,0], X[:,1], c=y )
axis.set_aspect( 1 )
axis.plot( vx, vy )
plt.show( )

